Subject: Re: bug#13321: 24.3.0.50; Gmail error when replying from Gnus to github

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 25 Feb 2013 08:15:29 +0100

Hi Katsumi,

Katsumi Yamaoka <[email-masked]> writes:

> Thierry Volpiatto wrote:
>> Katsumi Yamaoka <[email-masked]> writes:
>>> Ok, I'll surely try it.
>
> I tried the last patch.
>
> [...]
>> ,----[ Replying on github ]
>>| A "reply-to" header exists:
>>|
>>| From: Le Wang <[email-masked]>
>>| Reply-To: emacs-helm/helm
>>| <[email-masked]>
>>| To: emacs-helm/helm <[email-masked]>
>>|
>>| I send a reply with my patch applied:
>>|
>>| From: Thierry Volpiatto <[email-masked]>
>>| To: emacs-helm/helm
>>| <[email-masked]>
>>| Cc: emacs-helm/helm <[email-masked]>
>
> Why this /wide reply/ doesn't go to "Le Wang"?

Because it is an invalid address, everybody when replying will get the
same address, e.g if you reply to github your address will be 
"Katsumi Yamaoka <[email-masked]>", it is why github provide a
reply-to header and internally, github will send to the real address of
Le Wang.

> Even if Le Wang is a subscriber, a regular visitor, or a staff of the
> Emacs Helm list, don't we usually include the author of an original
> mail in the recipients list if it is a wide reply?

Yes unless a "reply-to" header is provided, which is the case here.

> Otherwise if Le Wang's address is invalid and you want Gnus to exclude
> it from the recipients list, you can use the user option
> `message-dont-reply-to-names'.

This is an option yes, but I think that when a "reply-to" header is
provided, it should take precedence on the "to" header actually
provided, isn't it the purpose of the "reply-to" header ?
 
>>| I send a reply with actual code (bug)
>>|
>>| From: Thierry Volpiatto <[email-masked]>
>>| To: Le Wang <[email-masked]>
>>| Cc: emacs-helm/helm <[email-masked]>, emacs-helm/helm
>>| <[email-masked]>
>> `----
>
> Is it ok that both the cases contain <[email-masked]>?
> You can omit it as well using `message-dont-reply-to-names' (if
> you want).

This one should not be omitted IMO.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997